Retrieving syslog configuration for A deployed product

Retrieving syslog configuration for A deployed product
Retrieving syslog configuration for a deployed product

Returns the syslog configuration for a deployed product.

Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/syslog_configuration
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

{
    "syslog_configuration": {
        "enabled": false,
        "address": "string",
        "transport_protocol": "string",
        "queue_size": 0,
        "tls_enabled": false,
        "permitted_peer": "string",
        "ssl_ca_certificate": "string",
        "environment": "string",
        "forward_debug_logs": false,
        "custom_rsyslog_configuration": "string"
    }
}
syslog_configuration
Optional

syslog_configuration


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product does not exist, or has not been deployed

Returns RequiresInstalledProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


422

Syslog not supported for product

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products/{product_guid}/syslog_configuration